package gov.va.med.edp.web.view;

import junit.framework.TestCase;
import org.springframework.mock.web.MockHttpServletResponse;

/**
 * TODO: document HttpCacheControlTest
 */
public class HttpCacheControlTest extends TestCase {

    public void testNoCacheHeaders() {
        MockHttpServletResponse response = new MockHttpServletResponse();
        HttpCacheControl.addNoCacheHeaders(response);
        assertEquals("no-store, must-revalidate", response.getHeader(HttpCacheControl.HEADER_CACHE_CONTROL));
        assertEquals("Thu, 01 Jan 1970 01:00:00 GMT", response.getHeader(HttpCacheControl.HEADER_EXPIRES));
    }

}
